tigase.jaxmpp.core.client

## Interface Connector.StreamTerminatedHandler

- All Superinterfaces:
    EventHandler
  Enclosing interface:
    Connector

      public static interface Connector.StreamTerminatedHandler
      extends EventHandler

  Implemented by handlers of StreamTerminatedEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Connector.StreamTerminatedHandler.StreamTerminatedEvent` Fired after XMPP Stream is terminated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStreamTerminated(SessionObject sessionObject)` Called when when StreamTerminatedEvent is fired.

- - ### Method Detail

    - #### onStreamTerminated

          void onStreamTerminated(SessionObject sessionObject)
                           throws JaxmppException

      Called when when StreamTerminatedEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.